<?php

/**

 * Single Product Meta

 *

 * @author 		WooThemes

 * @package 	WooCommerce/Templates

 * @version     3.0.0

 */



if ( ! defined( 'ABSPATH' ) ) {

	exit; // Exit if accessed directly

}



global $post, $product;



$cat_count = sizeof( get_the_terms( $post->ID, 'product_cat' ) );

$tag_count = sizeof( get_the_terms( $post->ID, 'product_tag' ) );



?>

<div class="product_meta mango">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<div class="sku_wrapper product-tags"><span><?php _e( 'SKU:', 'mango' ); ?></span><i class="sku" itemprop="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : __( 'N/A', 'mango' ); ?></i>.</div>

	<?php endif; ?>

	<?php echo wc_get_product_category_list( $product->get_id(), '', '<div class="product-tags">' . _n( '<span>'. __('Category','mango'). ':</span>', '<span>'. __('Categories','mango'). ':</span>', $cat_count, 'mango' ).' ', '</div>' ); ?>

	<?php echo wc_get_product_tag_list( $product->get_id(), '', '<div class="product-tags">'._n( '<span>'. __('Tag','mango'). ':</span>', '<span>'. __('Tags','mango'). ':</span>', $tag_count, 'mango' ) . ' ','</div>' ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>